#!/bin/bash

cd ..
rm -rf SparseBuild
rm -rf SparseInstall
mkdir SparseBuild
mkdir SparseInstall

cd SparseBuild

if [[ $NERSC_HOST = "edison" ]]; then
    cmake ../Sparse -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=../SparseInstall \
	  -DCMAKE_CXX_FLAGS="-DUSE_TASK_TIMER" \
	  -DCMAKE_CXX_COMPILER=CC -DCMAKE_C_COMPILER=cc -DCMAKE_Fortran_COMPILER=ftn \
	  -DMETIS_INCLUDES=$HOME/local/edison/intel15/parmetis-4.0.3/metis/include \
	  -DMETIS_LIBRARIES=$HOME/local/edison/intel15/parmetis-4.0.3/build/Linux-x86_64/libmetis/libmetis.a \
	  -DPARMETIS_INCLUDES=$HOME/local/edison/intel15/parmetis-4.0.3/include \
	  -DPARMETIS_LIBRARIES=$HOME/local/edison/intel15/parmetis-4.0.3/build/Linux-x86_64/libparmetis/libparmetis.a \
	  -DSCOTCH_INCLUDES=$HOME/local/edison/intel15/scotch_6.0.4/include \
	  -DSCOTCH_LIBRARIES="$HOME/local/edison/intel15/scotch_6.0.4/lib/libscotch.a;$HOME/local/edison/intel15/scotch_6.0.4/lib/libscotcherr.a;$HOME/local/edison/intel15/scotch_6.0.4/lib/libptscotch.a;$HOME/local/edison/intel15/scotch_6.0.4/lib/libptscotcherr.a"
fi

if [[ $(hostname -s) = "xps13" ]]; then
    cmake ../Sparse -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=../SparseInstall \
	  -DMETIS_INCLUDES=/home/pieterg/local/parmetis-4.0.3/metis/include \
	  -DMETIS_LIBRARIES=/home/pieterg/local/parmetis-4.0.3/build/Linux-x86_64/libmetis/libmetis.a \
	  -DPARMETIS_INCLUDES=/home/pieterg/local/parmetis-4.0.3/include \
	  -DPARMETIS_LIBRARIES=/home/pieterg/local/parmetis-4.0.3/build/Linux-x86_64/libparmetis/libparmetis.a
fi

if [[ $(hostname -s) = "pieterg-X8DA3" ]]; then
    cmake ../Sparse -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=../SparseInstall \
	  -DCMAKE_CXX_FLAGS="-DUSE_TASK_TIMER -Wall -Wfatal-errors -Wextra -Wno-unused-parameter" \
    	  -DMETIS_INCLUDES=$HOME/local/parmetis-4.0.3/metis/include \
    	  -DMETIS_LIBRARIES=$HOME/local/parmetis-4.0.3/build/Linux-x86_64/libmetis/libmetis.a \
    	  -DPARMETIS_INCLUDES=$HOME/local/parmetis-4.0.3/include \
    	  -DPARMETIS_LIBRARIES=$HOME/local/parmetis-4.0.3/build/Linux-x86_64/libparmetis/libparmetis.a \
    	  -DSCOTCH_INCLUDES=$HOME/local/scotch_6.0.4/include \
    	  -DSCOTCH_LIBRARIES="$HOME/local/scotch_6.0.4/lib/libscotch.a;$HOME/local/scotch_6.0.4/lib/libscotcherr.a;$HOME/local/scotch_6.0.4/lib/libptscotch.a;$HOME/local/scotch_6.0.4/lib/libptscotcherr.a"
fi

if [[ $(hostname -s) = "nuc" ]]; then
    cmake ../Sparse -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=../SparseInstall \
	  -DMETIS_INCLUDES=/home/pieterg/local/parmetis-4.0.3/metis/include \
	  -DMETIS_LIBRARIES=/home/pieterg/local/parmetis-4.0.3/build/Linux-x86_64/libmetis/libmetis.a \
	  -DPARMETIS_INCLUDES=/home/pieterg/local/parmetis-4.0.3/include \
	  -DPARMETIS_LIBRARIES=/home/pieterg/local/parmetis-4.0.3/build/Linux-x86_64/libparmetis/libparmetis.a
fi

make VERBOSE=1
make examples VERBOSE=1
make doc VERBOSE=1
make install VERBOSE=1
